in General Discussion by wilderer (560 points)

Ein paar Gedanken zur Beta TT8. 

  1. Erstens, ich suche vergeblich nach einem Link für den aktuellen Download.
  2. Zweitens, stelle ich mir die Frage, ob diese Version überhaupt noch zeitgemäß ist.

In dieser Beta-Version wird "bootstrap 3 und 4" eingesetzt. Weder das Eine, noch das Andere funktioniert richtig. Gerade bei "bootstrap 4" hätte ich erwartet, dass die Standard-Klassen vernünftig funktionieren und die aktuelle bootstrap-Version eingesetzt wird. Weder 

  • btn-Klassen,
  • alert-Klassen
  • container-Klassen
  • collapse-Klassen (Accordion)
  • tooltip-Klassen

funktionieren bei der eingesetzen "bootstrap-Version". Wie soll das erst bei "Joomla 4" werden? Dort wird ja nun überlegt ob man "bootstrap 5" einsetzt. Was wird dann aus den erzeugten Templates?

Ich habe nun händisch das komplette Template auf aktuelle Versionen umgestellt, so das wenigstens "bootstrap 4.4.1" funktioniert. Das Gleiche trifft für die Versionen von "jQuery" und "popper" zu.

Überlegt noch einmal in Ruhe, was ihr mit dem Produkt TT8 erreichen wollt. So jedenfalls nicht!

1 Answer

by patricia-jones (2.6k points)
The link to download TemplateToaster v8 Beta is up to date and last modified two days ago.

The 'btn, alert, container' classes are supported in v8 Beta and 'collapse, tooltip' classes are used as default as in Bootstrap. Currently, v8 Beta uses Bootstrap v4.1.3, in future build we will provide support for latest Bootstrap version.

TemplateToaster provide support for Joomla 2 and Joomla 3 versioned templates. Support for Joomla 4 templates will provided in future build of TemplateToaster, after stable release of Joomla 4 as currently Joomla 4 is in Alpha Stage
by wilderer (560 points)
Der Download sollte aber auch aus dem Programm heraus funktionieren und das tut er nicht.

Die Klassen werden zwar angezeigt, aber funktionieren in der responsiven Ansicht nicht. Es erfolgt kein Zeilenumbruch. Alles läuft gerade aus, über den Rand. Das hat mir auch der Support bestätigt und war der Grund, warum ich auf "bootstrap 4.4.1" umgestellt habe. Und Accordion-Klassen funktionieren leider auch nicht mit 19835. Bei 19900 kann ich das noch nicht sagen, da ich diese Version gerade erst geladen habe.

Joomla 2 ist ja wohl nun längst nicht mehr zeitgemäß. Wer diese Version einsetzt braucht sich nicht beklagen, wenn die Version durch Dritte geändert wird.
ago by patricia-jones (2.6k points)
The Update option is now working in TemplateToaster v8 Beta.
Currently TemplateToaster has no separate option for Accordion classes, this will work as default. For responsive view issues please refer to your support Ticket #21836729. Our support team will guide you accordingly.
Interested in localizing/Translating TemplateToaster Software in your native language in exchange of a Pro License ? Contact Us

---------------------------
Download TemplateToaster v8 Beta (What's New)
...